• Advisory ID: DRUPAL-SA-CONTRIB-2013-043
  • Project: MP3 Player (third-party module)
  • Version: 6.x
  • Date: 2013-April-17
  • Security risk: Moderately critical
  • Exploitable from: Remote
  • Vulnerability: Cross Site Scripting


This module enables you to easily enable a Flash MP3 Player on a CCK FileField.
The module doesn't sufficiently filter user-supplied text from mp3 filenames.
This vulnerability is mitigated by the fact that an attacker must have a role with the permission to create a node with an mp3 filefield with the MP3 player set as the display widget.

CVE identifier(s) issued

  • CVE-2013-1971

Versions affected

  • All MP3 Player versions.

Drupal core is not affected. If you do not use the contributed MP3 Player module, there is nothing you need to do.


Disable the module:

  • If you use the MP3 Player module for Drupal 6.x you should disable the module.

Also see the MP3 Player project page.

Reported by

Fixed by

Not applicable.

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.